

//  $.ajax({
//   url: "ajax/datatable-productos.ajax.php",
//     success:function(respuesta){
//        console.log("respuesta", respuesta);
//     }
//  })


$(".nuevoPorcentaje1").number(true,2);
$(".nuevoPorcentaje2").number(true,2);
$(".editarPorcentaje1").number(true,2);
$(".editarPorcentaje2").number(true,2);

var perfilOculto = $("#perfilOculto").val();

$("#estado1").change(function(){
    
    var estado1 = $("#estado1").val();

    console.log("estado1", estado1);

    window.location = "index.php?ruta=productos&estado1="+estado1;
})

$("#estadoVen").change(function(){
    
    var estadoVen = $("#estadoVen").val();

    console.log("estadoVen", estadoVen);

    window.location = "index.php?ruta=productoVen&estadoVen="+estadoVen;
})


if ($("#estado2").val() == ""){

    var estado1 = $("#estado2").val("NaN");
}else {
    var estado1 = Number($("#estado2").val());
}

if ($("#estadoVen1").val() == ""){

    var estadoVen = $("#estadoVen1").val("NaN");
}else {
    var estadoVen = Number($("#estadoVen1").val());
}



    // $('.tablaProductos thead tr').clone(true).addClass('filters').appendTo( '.tablaProductos thead' );
var productos = $('.tablaProductos').DataTable( {
        "autoWidth": false,
        "order":[[4, 'asc']],
        "ajax": "ajax/datatable-productos.ajax.php?perfilOculto="+perfilOculto+"&estado1="+estado1,
        "deferRender":true,
        "retrieve":true,
        "processing": true,
        "sScrollY": "70vh",
        "scrollCollapse":true,
        "paging":false,
        "colReorder": true,
        
        "columnDefs": [ {
                "className": 'select-checkbox',
                "targets": 0,
                "orderable": false,
            } ],
        "select": {
            "style":    'multi',
            "selector": 'td:first-child'
         },
        "stateSave":  true,
        "language": {
            "decimal": ".",
            "thousands": ",",
            "sEmptyTable": "No hay información",
            "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ Entradas",
            "sInfoEmpty": "Mostrando 0 to 0 of 0 Entradas",
            "sInfoFiltered": "(Filtrado de _MAX_ total entradas)",
            "sInfoPostFix": "",
            "sInfoThousands": ",",
            "sLengthMenu": "Mostrar _MENU_ Entradas",
            "sLoadingRecords": "Cargando...",
            "sSearch": "Buscar:",
            "sZeroRecords": "Sin resultados encontrados",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendete",
                "sSortDescending": ": Activar para ordenar la columna de manera descendete",
            }
        },
        "dom": "Bfrtip",
        "buttons": [
            {
                "extend": "pdf",
                "download": "open",
                "text": "<i class='fas fa-file-pdf'></i>",
                "titleAttr" : "Exportar a pdf",
                "title": ".",
                "className": 'btn btn-danger',
                "customize": function(doc) {
                    doc.defaultStyle.fontSize = 8; 
                    doc.content[1].margin = [ 20, -60, 10, -10 ];
                    doc.defaultStyle.alignment = 'justify'//<-- set fontsize to 16 instead of 10 
                 },
                 "aoColumnDefs": [
                    { "sWidth": "1200px", "aTargets": [3] } 
                ],
                "exportOptions": {
                    "columns": ["3","4","5","9","10","11"]
                },
                "header": false
            },
            {
                "extend": "excel",
                "text": "<i class='fas fa-file-excel'></i>",
                "titleAttr" : "Exportar a Excel",
                "className": 'btn btn-success',
                "excelStyles":{
                    cells: "sA",                        
                    condition: {                       
                        type: 'cellIs',                 
                        operator: 'between',          
                        formula: [25,32],   
                    },
                    style: {                         
                        font: {
                            bold: true,
                            color: "C23213",
                        },
                        fill: {
                            pattern: {
                                bgColor: "FFFFFF",     
                                                       
                            }
                        }
                    }
                },
                "filename": function() {
                    return "Lista de Productos"      
                  },
                "exportOptions": {
                    "columns": ["1","3","4","5","6","7","9","10","11"]
                },
         
    
            },
            {
                "extend": "print",
                "text": "<i class='fa fa-print'></i>",
                "titleAttr" : "Imprimir",
                "className": 'btn btn-info',
                "customize": function (win) {
                    $(win.document.body)
                        .css( "font-size", "8pt" )
                    $(win.document.body).find( "table" )
                        .addClass( "compact" )
                        .css( "font-size", "8pt" );
                },
                "exportOptions": {
                    "columns": ["3","4","5","9","10"]
                }
            },
            {
                "extend": "colvis",
                "columns": ":gt(0)",
                "text": "Columnas Visibles"
            },
            
        ],
        "createdRow": function(row, data, rowIndex){
    
    
            if(data[8] >= 0){
    
                $('td', row).eq(8).css({
    
                    'background-color':'#3B90C6',
                    'color': 'white',
                    'border-style':'solid',
                    'border-color':'#bdbdbd'
                });
            }
    
            if(data[7] >= 0){
    
                $('td', row).eq(7).css({
    
                    'background-color':'#000',
                    'color': 'white',
                    'border-style':'solid',
                    'border-color':'#bdbdbd'
                });
            }
    
    
    
            $.each($('td', row), function(colIndex){
                if(colIndex == 3){
                    $(this).attr('data-name', 'descripcion');
                    $(this).attr('data-title', 'Descripcion');
                    $(this).attr('class','descripcion');
                    $(this).attr('data-type', 'text');
                    $(this).attr('data-pk', data[1]);
                }
                if(colIndex == 7){
                    $(this).attr('data-name', 'precio_compra');
                    $(this).attr('data-title', 'Costo');
                    $(this).attr('class','precio_compra');
                    $(this).attr('data-type', 'number');
                    $(this).attr('data-step', '0.01');
                    $(this).attr('data-pk', data[1]);
                    $(this).attr('data-flete', data[8]);
                }
         
    
                if(colIndex == 8){
                    $(this).attr('data-name', 'precio_venta');
                    $(this).attr('data-title', 'Precio Menor');
                    $(this).attr('class','precio_venta');
                    $(this).attr('data-type', 'number');
                    $(this).attr('data-step', '0.01');
                    $(this).attr('data-pk', data[1]);
                }
    
                if(colIndex == 9){
                    $(this).attr('data-name', 'stock');
                    $(this).attr('data-title', 'stock');
                    $(this).attr('class','stock');
                    $(this).attr('data-type', 'number');
                    $(this).attr('data-step', '0.01');
                    $(this).attr('data-pk', data[1]);
                }

           
            });
        }
          
    })




var productosVen = $('.tablaProductosVen').DataTable( {
    "autoWidth": false,
    "order":[],
    "ajax": "ajax/datatable-productoVen.ajax.php?estadoVen="+estadoVen,
    "deferRender":true,
    "retrieve":true,
    "processing": false,
    "sScrollY": "70vh",
    "scrollCollapse":true,
    "paging":false,
    "colReorder": true,
    "columnDefs": [ {
                "className": 'select-checkbox',
                "targets": 0,
                "orderable": false,
            } ],
    "select": {
            "style":    'multi',
            "selector": 'td:first-child'
    },
    "stateSave":  true,
    "language": {
        "decimal": ".",
        "thousands": ",",
        "sEmptyTable": "No hay información",
        "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ Entradas",
        "sInfoEmpty": "Mostrando 0 to 0 of 0 Entradas",
        "sInfoFiltered": "(Filtrado de _MAX_ total entradas)",
        "sInfoPostFix": "",
        "sInfoThousands": ",",
        "sLengthMenu": "Mostrar _MENU_ Entradas",
        "sLoadingRecords": "Cargando...",
        "sSearch": "Buscar:",
        "sZeroRecords": "Sin resultados encontrados",
        "oPaginate": {
            "sFirst": "Primero",
            "sLast": "Ultimo",
            "sNext": "Siguiente",
            "sPrevious": "Anterior"
        },
        "oAria": {
            "sSortAscending": ": Activar para ordenar la columna de manera ascendete",
            "sSortDescending": ": Activar para ordenar la columna de manera descendete",
        }
    },
    "dom": "Bfrtip",
    "buttons": [
        {
            "extend": "pdf",
            "download": "open",
            "text": "<i class='fas fa-file-pdf'></i>",
            "titleAttr" : "Exportar a pdf",
            "title": ".",
            "className": 'btn btn-danger',
            "customize": function(doc) {
                doc.defaultStyle.fontSize = 8; 
                doc.content[1].margin = [ 20, -60, 10, -10 ];
                doc.defaultStyle.alignment = 'justify'//<-- set fontsize to 16 instead of 10 
             },
             "aoColumnDefs": [
                { "sWidth": "1200px", "aTargets": [3] } // 1 would be the 2nd column
            ],
            "exportOptions": {
                "columns": ["2","3","4","5","6"]
            },
            "header": false
        },
        {
            "extend": "excel",
            "text": "<i class='fas fa-file-excel'></i>",
            "titleAttr" : "Exportar a Excel",
            "className": 'btn btn-success',
            "exportOptions": {
                "columns": ["2","3","4","5","6"]
            }
        },
        {
            "extend": "print",
            "text": "<i class='fa fa-print'></i>",
            "titleAttr" : "Imprimir",
            "className": 'btn btn-info',
            "customize": function (win) {
                $(win.document.body)
                    .css( "font-size", "8pt" )
                $(win.document.body).find( "table" )
                    .addClass( "compact" )
                    .css( "font-size", "8pt" );
            },
            "exportOptions": {
                "columns": ["2","3","4","5","6"]
            }
        },
        {
            "extend": "colvis",
            "columns": ":gt(0)",
            "text": "Columnas Visibles"
        },
        
    ],
    "createdRow": function(row, data, rowIndex){
        if(data[7] >= 0){

            $('td', row).eq(7).css({

                'background-color':'#3B90C6',
                'color': 'white',
                'border-style':'solid',
                'border-color':'#bdbdbd'
            });
        }


    }
      
})


function fetch_employee_data(){
    $.ajax({
        url: "ajax/fetch.php",
        method: "POST",
        dataType: "jason",
        success: function(data){
            for(var count = 0; count < data.length; count++){
                var html_data = '<tr><td>'+data[count].id+'</td>';
                html_data += '<td data-name="name" class="name" data-type="text" data-pk="'+data[count].id+'">'+data[count].name+'</td>';
                html_data += '<td data-name="gender" class="gender" data-type="select" data-pk="'+data[count].id+'">'+data[count].gender+'</td>';
                html_data += '<td data-name="designation" class="designation" data-type="text" data-pk="'+data[count].id+'">'+data[count].designation+'</td>';
                html_data += '<td data-name="age" class="age" data-type="text" data-pk="'+data[count].id+'">'+data[count].age+'</td></tr>';
                $('.tablaProductos').append(html_data);
            }
        }
    })
}

fetch_employee_data();

$('.tablaProductos').editable({
    container: 'body',
    selector: 'td.descripcion',
    url: 'ajax/update.php',
    title: 'descripcion',
    type: 'POST',
    validate:function(value){
        if($.trim(value) ==''){
            return 'This field is required';
        }

    }
});


$('.tablaProductos').editable({
    container: 'body',
    selector: 'td.precio_compra',
    url: 'ajax/update.php',
    title: 'costo',
    type: 'POST',
    validate:function(value){
        if($.trim(value) ==''){
            return 'This field is required';
        }
    }
});



$('.tablaProductos').editable({
    container: 'body',
    selector: 'td.precio_venta',
    url: 'ajax/update.php',
    title: 'menor',
    type: 'POST',
    validate:function(value){
        if($.trim(value) ==''){
            return 'This field is required';
        }
    }
});



$('.tablaProductos').editable({
    container: 'body',
    selector: 'td.stock',
    url: 'ajax/update.php',
    title: 'stock',
    type: 'POST',
    validate:function(value){
        if($.trim(value) ==''){
            return 'This field is required';
        }
    }
});


/** CAPTURANDO LA CATEGORIA PARA ASIGNAR CODIGO */

$("#nuevaCategoria").change(function(){

    var idCategoria = $(this).val();

    var datos = new FormData();
    datos.append("idCategoria", idCategoria);

    $.ajax({

        url:"ajax/productos.ajax.php",
        method: "POST",
        data: datos,
        cache: false,
        contentType: false,
        processData: false,
        dataType: "json",
        success:function(respuesta){

            if(!respuesta){
				var nuevoCodigo = idCategoria + "001";
                $("#nuevoCodigo").val(nuevoCodigo);
			}else {
                var nuevoCodigo = Number(respuesta["codigo"]) + 1;
                $("#nuevoCodigo").val(nuevoCodigo);
            }
            
        }


    })


})

/** AGREGANDO PRECIO POR MENOR */



$("#nuevoCosto, #editarCosto").change(function(){

    if($(".porcentaje2").prop("checked")){

        var valorPorcentaje2 = $(".nuevoPorcentaje2").val();

        var editarPorcentaje2 = $(".editarPorcentaje2").val();

        var procentaje2 = Number( Number($("#nuevoCosto").val()) * valorPorcentaje2/100) + Number($("#nuevoCosto").val()) ;
        
        var editarprocentaje2 =  Number($("#editarCosto").val())  * Number(editarPorcentaje2/100) + Number($("#editarCosto").val());
        
        $("#nuevoPrecioVenta").val(procentaje2);
        

        $("#editarPrecioVenta").val(editarprocentaje2);
      


    }
    
})


$("#nuevoCosto, #editarCosto").change(function(){

    if($(".porcentaje1").prop("checked")){

        var valorPorcentaje1 = $(".nuevoPorcentaje1").val();
        var editarPorcentaje1 = $(".editarPorcentaje1").val();

        var procentaje1 =  Number(Number($("#nuevoCosto").val())  * valorPorcentaje1/100) + Number($("#nuevoCosto").val());
        
        var editarprocentaje1 = Number( ( Number($("#editarCosto").val()))  * editarPorcentaje1/100) + Number($("#editarCosto").val());
        
        $("#nuevoPmayor").val(procentaje1);
        $("#editarPmayor").val(editarprocentaje1);
        

    }

    
})



/** CAMBIO DE PORCENTAJE P MENOR*/
$(".nuevoPorcentaje2").change(function(){

    if($(".porcentaje2").prop("checked")){

        var valorPorcentaje2 = $(".nuevoPorcentaje2").val();

        var procentaje2 = Number( ( Number($("#nuevoCosto").val()))  * valorPorcentaje2/100) + Number($("#nuevoCosto").val());
       
        $("#nuevoPrecioVenta").val(procentaje2);
        $("#nuevoPrecioVenta").prop("readonly", true);


    }
})





/** EDITAR CAMBIO DE PORCENTAJE P MENOR*/
$(".editarPorcentaje2").change(function(){

    if($(".porcentaje2").prop("checked")){

        var valorPorcentaje2 = $(".editarPorcentaje2").val();
        
        var editarprocentaje2 = Number((Number($("#editarCosto").val())) * valorPorcentaje2/100) + Number($("#editarCosto").val());

        $("#editarPrecioVenta").val(editarprocentaje2);
        $("#editarPrecioVenta").prop("readonly", true);


    }
})





$(".nuevoPrecioVenta, .editarPrecioVenta").change(function(){

    var valorNuevoPorcentaje2 =   (Number($("#nuevoPrecioVenta").val()) - Number($("#nuevoCosto").val()) /  Number($("#nuevoCosto").val())) * 100 ;
    $("#nuevoPorcentaje2").val(valorNuevoPorcentaje2);
    $(".nuevoPorcentaje2").number(true,2);

    var valoreditarPorcentaje2 =   ((Number($("#editarPrecioVenta").val()) - Number($("#editarCosto").val())) /  NNumber($("#editarCosto").val())) * 100 ;
    $("#editarPorcentaje2").val(valoreditarPorcentaje2);
    $(".editarPorcentaje2").number(true,2);

}) 




$(".porcentaje2").on("ifUnchecked",function(){


    $(".nuevoPorcentaje2").number(true,2);
    $("#nuevoPorcentaje2").prop("readonly",true);

    $(".editarPorcentaje2").number(true,2);
    $("#editarPorcentaje2").prop("readonly",true);

	$("#nuevoPrecioVenta").prop("readonly",false);
	$("#editarPrecioVenta").prop("readonly",false);

})

$(".porcentaje2").on("ifChecked",function(){

    $(".nuevoPorcentaje2").number(true,2);
    $("#nuevoPorcentaje2").prop("readonly",false);

    $(".editarPorcentaje2").number(true,2);
    $("#editarPorcentaje2").prop("readonly",false);

	$("#nuevoPrecioVenta").prop("readonly",true);
	$("#editarPrecioVenta").prop("readonly",true);

})



/** U=SUBIENDO LA FOTO DEL PRODUCTO*/

$(".nuevaImagen").change(function(){

    var imagen = this.files[0];
    
    /** VALIDAMOS EL FORMATO DE LA IMAGEN SEA JPG O PNG */
    if(imagen["type"] != "image/jpeg" && imagen["type"] != "image/png"){

        $(".nuevaImagen").val("");

        swal({

            type: "error",
            title: "!Error al subir la imagen",
            text: "!la imagen debe estar en formato JPG o PNG",
            showConfirmButton: true,
            confirmButtonText: "Cerrar"

            

        });
        
    }else if(imagen["size"] > 3000000){
        $(".nuevaImagen").val("");

        swal({

            type: "error",
            title: "!Error al subir la imagen",
            text: "!la imagen no debe pesar mas de 2MB!",
            showConfirmButton: true,
            confirmButtonText: "Cerrar"

        });
    }else {

        var datosImagen = new FileReader;
        datosImagen.readAsDataURL(imagen);

        $(datosImagen).on("load", function(event){
            var rutaImagen = event.target.result;

            $(".previsualizar").attr("src", rutaImagen);
        })
    }
})


/** EDITAR PRODUCTOS */

$(".tablaProductos tbody").on("click", "button.btnEditarProducto", function(){

    var idProducto = $(this).attr("idProducto");

    var datos = new FormData();
    datos.append("idProducto", idProducto);


    $.ajax({

        url:"ajax/productos.ajax.php",
        method: "POST",
        data: datos,
        cache: false,
        contentType: false,
        processData: false,
        dataType: "json",
        success: function(respuesta){
            
           

            $("#editarCodigo").val(respuesta["codigo"]);
            $("#idProducto").val(respuesta["id"]);
            $("#editarCodigo").html(respuesta["codigo"]);
            $("#editarDescripcion").val(respuesta["descripcion"]);
            $("#editarStock").val(respuesta["stock_fisico"]);
            $("#imagenActual").val(respuesta["imagen"]);
            $("#estado").val(respuesta["estado"]);
            $("#editarCosto").val(respuesta["precio_compra_promedio"]);
            $("#editarPrecioVenta").val(respuesta["precio_venta_sugerido"]);
            $("#editarPorcentaje2").val(respuesta["porcentaje_menor"]);
            $("#fecha_caducidad1").val(respuesta["fecha_vencimiento"]);

            if (respuesta["imagen"] != "") {
                
                
                $(".previsualizar").attr("src", respuesta["imagen"]);


            }

            var datosCategoria =  new FormData();
            datosCategoria.append("idCategoria", respuesta["id_categoria"]);
    
            $.ajax({

                url:"ajax/categorias.ajax.php",
                method: "POST",
                data: datosCategoria,
                cache: false,
                contentType: false,
                processData: false,
                dataType: "json",
                success: function(respuesta){

                    $("#editarCategoria").val(respuesta["id"]);
                    $("#editarCategoria").html(respuesta["categoria"]);
                }

            })

            var datosMarcas = new FormData();
            datosMarcas.append("idMarca", respuesta["id_marca"]);

            $.ajax({

                url:"ajax/marcas.ajax.php",
                method: "POST",
                data: datosMarcas,
                cache: false,
                contentType: false,
                processData: false,
                dataType: "json",
                success: function(respuesta){

                    $("#editarMarca").val(respuesta["id"]);
                    $("#editarMarca").html(respuesta["descripcion"]);
                }

            })

            var datosUnidades = new FormData();
            datosUnidades.append("idUnidad", respuesta["id_unidad"]);

            $.ajax({

                url:"ajax/unidades.ajax.php",
                method: "POST",
                data: datosUnidades,
                cache: false,
                contentType: false,
                processData: false,
                dataType: "json",
                success: function(respuesta){

                    $("#editarUnidad").val(respuesta["id"]);
                    $("#editarUnidad").html(respuesta["descripcion"]);
                }

            })

        }
    })
})



/** ELIMINAR PRODUCTOS */

$(".tablaProductos tbody").on("click", "button.btnEliminarProducto", function(){

    var idProducto = $(this).attr("idProducto");
    var codigo = $(this).attr("codigo");
    var imagen = $(this).attr("imagen");
    
    swal({
        title: '¿Está seguro de borrar el producto?',
        text: "¡Si no lo está puede cancelar la accíón!",
        type: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
          cancelButtonColor: '#d33',
          cancelButtonText: 'Cancelar',
          confirmButtonText: 'Si, borrar producto!'
      }).then(function(result){
    
        if(result.value){
    
          window.location = "index.php?ruta=productos&idProducto="+idProducto+"&codigo="+codigo+"&imagen="+imagen;
    
        }
    
      })

})

/*=============================================
ACTIVAR PRODUCTO
=============================================*/
$(".tablaProductos tbody").on("click", "button.btnActivar", function(){

	var idProducto = $(this).attr("idProducto");
	var estadoProducto = $(this).attr("estadoProducto");
    
	var datos = new FormData();
 	datos.append("activarId", idProducto);
  	datos.append("activarProducto", estadoProducto);

  	$.ajax({

	  url:"ajax/productos.ajax.php",
	  method: "POST",
	  data: datos,
	  cache: false,
      contentType: false,
      processData: false,
      success: function(respuesta){

	
      		 swal({
		      	title: "El Producto ha sido actualizado",
		      	type: "success",
		      	confirmButtonText: "¡Cerrar!"
		    	}).then(function(result) {
		        
		        	if (result.value) {

		        	window.location = "productos";

		        }

		      });
		
      }

  	})

  	if(estadoProducto == 0){

  		$(this).removeClass('btn-success');
  		$(this).addClass('btn-danger');
  		$(this).html('I');
  		$(this).attr('estadoProducto',1);

  	}else{

  		$(this).addClass('btn-success');
  		$(this).removeClass('btn-danger');
  		$(this).html('A');
  		$(this).attr('estadoProducto',0);

  	}

})


$(".tablaProductos tbody").on("click", ".btnVerDetalle", function(){

	var idProducto2 = $(this).attr("idProducto");
    var datos = new FormData();
    datos.append("idProducto", idProducto2);
    var fecha = [] ;
	$.ajax({

        url:"ajax/compra.ajax.php",
        method: "POST",
        cache: false,
        contentType: false,
        processData: false,
        dataType: "json",
        success: function(respuesta){

           
			for (let index = 0; index < respuesta.length; index++) {

                fecha.push({"fecha ingreso":respuesta[index].id});

                let productos = JSON.parse(respuesta[index].productos);

                //console.log(productos);

                for (let index = 0; index < productos.length ; index++ ) {

                    //console.log(productos[index]);

                    if (productos[index].id == idProducto2) {

                        var datos = new FormData();
                        datos.append("idCompra", productos[index].id);

                        $.ajax({

                            url:"ajax/compradetalleajax.php",
                            method: "POST",
                            data: datos,
                            cache: false,
                            contentType: false,
                            processData: false,
                            dataType: "json",
                            success: function(respuesta){

                                $(".listaProducto").append(

                                    '<tr style="padding:5px 0px">'+
                      
                                    '<!-- id-->'+
                                    
                                    '<td >'+
                                    ''+respuesta["fecha_registro"]+''+
                                    '</td>'+
                                    '<!-- Descripcion-->'+
                                    '<td >'+
                                        ''+respuesta["serie"]+respuesta["numero"]+''+
                                    '</td>'+
                                    '<!-- Cantidad del producto -->'+
                                    '<td >'+
                                       ''+productos[index].cantidad+''+
                                    '</td>' +
                                    '<!-- Precio del producto -->'+
                                    '<td >'+  
                                        ''+productos[index].costo+''+
                                    '</td>'+
                                    '<!-- Precio final del producto -->'+
                                    '<td >'+
                                        ''+productos[index].total+''+
                                    '</td>'+
                                  '</tr>') 


                            }
                        })

                        
                    }                
                }
		
			}

		}
	})

})


